### Class

# Gtk ATContext

since: 4.0

#### Description [src]

    abstract class Gtk.ATContext : GObject.Object
    {
      /* No available fields */
    }

`GtkATContext` is an abstract class provided by GTK to communicate to platform-specific assistive technologies API.

Each platform supported by GTK implements a `GtkATContext` subclass, and is responsible for updating the accessible state in response to state changes in `GtkAccessible`.

Available since: 4.0

#### Ancestors

- GObject

#### Constructors

###### gtk_at_context_create

Creates a new `GtkATContext` instance for the given accessible role, accessible instance, and display connection.

since: 4.0

#### Instance methods

###### gtk_at_context_get_accessible

Retrieves the `GtkAccessible` using this context.

since: 4.0

###### gtk_at_context_get_accessible_role

Retrieves the accessible role of this context.

since: 4.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.ATContext:accessible

The `GtkAccessible` that created the `GtkATContext` instance.

since: 4.0

###### Gtk.ATContext:accessible-role

The accessible role used by the AT context.

since: 4.0

###### Gtk.ATContext:display

The `GdkDisplay` for the `GtkATContext`.

since: 4.0

#### Signals

###### Gtk.ATContext::state-change

Emitted when the attributes of the accessible for the `GtkATContext` instance change.

since: 4.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GtkATContextClass {
      /* no available fields */
    }

No description available.